# Archive a UsBankAccount object

Archive a USBankAccount object. USBankAccount objects will not be automatically archived by Stripe. Archived USBankAccount objects cannot be used as outbound destinations and will not appear in the outbound destination list.

## Parameters

- `id` (string, required)
  The ID of the USBankAccount object.

## Returns

## Response attributes

- `id` (string)
  The ID of the USBankAccount object.

- `object` (string, value is "v2.core.vault.us_bank_account")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- `archived` (boolean)
  Whether this USBankAccount object was archived.

- `bank_account_type` (enum)
  The type of bank account (checking or savings).
Possible enum values:
  - `checking`
    Checkings account.

  - `savings`
    Savings account.

- `bank_name` (string)
  The name of the bank this bank account belongs to. This field is populated automatically by Stripe based on the routing number.

- `created` (timestamp)
  Creation time of the object.

- `fedwire_routing_number` (string, nullable)
  The fedwire routing number of the bank account.

- `last4` (string)
  The last 4 digits of the account number.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `routing_number` (string, nullable)
  The ACH routing number of the bank account.

## Error Codes

| HTTP status code | Code                               | Description                                                                                                  |
| ---------------- | ---------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| 400              | us_bank_account_cannot_be_archived | Returned when the US Bank Account in question is controlled by the Stripe Dashboard, and cannot be archived. |
| 404              | not_found                          | The resource wasn’t found.                                                                                   |

```curl
curl -X POST https://api.stripe.com/v2/core/vault/us_bank_accounts/usba_test_61OHSEF60mEpRiXpR16NqdMu76SQRZLd31xuji87MN5M/archive \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-04-30.preview"
```

### Response

```json
{
  "id": "usba_test_61OHSEF60mEpRiXpR16NqdMu76SQRZLd31xuji87MN5M",
  "object": "v2.core.vault.us_bank_account",
  "bank_account_type": "checking",
  "bank_name": "Test Bank",
  "created": "2023-05-15T16:29:15.738Z",
  "archived": true,
  "last4": "6789",
  "routing_number": "110000000"
}
```
